curl --request PATCH \
--url https://api.spherepay.co/v2/customer/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "Chicago",
"country": "USA",
"line1": "233 South Wacker Drive",
"line2": "Suite 4700",
"postalCode": "60606",
"state": "IL"
},
"meta": {
"key": "value"
},
"personalInformation": {
"accountPurpose": "receive_salary",
"accountPurposeDescription": "<string>",
"actingAsIntermediary": false,
"countryOfBirth": "USA",
"employmentStatus": "employed",
"expectedMonthlyPayments": "5000_9999",
"gender": "male",
"middleName": "James",
"nationality": "USA",
"occupationSocCode": "151252",
"residencyCountry": "USA",
"sourceOfFunds": "salary",
"taxIdentificationNumber": "123456789",
"taxIdentificationNumberCountry": "USA",
"taxIdentificationNumberDescription": "<string>",
"taxIdentificationNumberType": "ssn"
}
}
'import requests
url = "https://api.spherepay.co/v2/customer/{id}"
payload = {
"address": {
"city": "Chicago",
"country": "USA",
"line1": "233 South Wacker Drive",
"line2": "Suite 4700",
"postalCode": "60606",
"state": "IL"
},
"meta": { "key": "value" },
"personalInformation": {
"accountPurpose": "receive_salary",
"accountPurposeDescription": "<string>",
"actingAsIntermediary": False,
"countryOfBirth": "USA",
"employmentStatus": "employed",
"expectedMonthlyPayments": "5000_9999",
"gender": "male",
"middleName": "James",
"nationality": "USA",
"occupationSocCode": "151252",
"residencyCountry": "USA",
"sourceOfFunds": "salary",
"taxIdentificationNumber": "123456789",
"taxIdentificationNumberCountry": "USA",
"taxIdentificationNumberDescription": "<string>",
"taxIdentificationNumberType": "ssn"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'Chicago',
country: 'USA',
line1: '233 South Wacker Drive',
line2: 'Suite 4700',
postalCode: '60606',
state: 'IL'
},
meta: {key: 'value'},
personalInformation: {
accountPurpose: 'receive_salary',
accountPurposeDescription: '<string>',
actingAsIntermediary: false,
countryOfBirth: 'USA',
employmentStatus: 'employed',
expectedMonthlyPayments: '5000_9999',
gender: 'male',
middleName: 'James',
nationality: 'USA',
occupationSocCode: '151252',
residencyCountry: 'USA',
sourceOfFunds: 'salary',
taxIdentificationNumber: '123456789',
taxIdentificationNumberCountry: 'USA',
taxIdentificationNumberDescription: '<string>',
taxIdentificationNumberType: 'ssn'
}
})
};
fetch('https://api.spherepay.co/v2/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-03-09T20:46:31.305Z",
"id": "customer_f31121c389624d3697cbf3ea8830b7a4",
"tosStatus": "incomplete",
"type": "individual",
"updatedAt": "2026-03-09T20:46:31.305Z",
"verificationProfiles": [
{
"criteria": {
"complete": [
"email_address",
"phone_number",
"residential_address",
"tax_identification_number"
],
"errors": [],
"pending": [],
"required": [
"identity_document",
"liveness_report_document"
]
},
"name": "kyc_profile_a",
"status": "incomplete"
}
],
"dateOfBirth": "1990-01-15",
"email": "jane.smith@example.com",
"firstName": "Jane",
"lastName": "Smith",
"meta": {},
"personalInformation": {
"accountPurpose": "<string>",
"accountPurposeDescription": "<string>",
"actingAsIntermediary": false,
"countryOfBirth": "USA",
"employmentStatus": "<string>",
"expectedMonthlyPayments": "<string>",
"gender": "<string>",
"middleName": "James",
"nationality": "USA",
"occupationSocCode": "151252",
"residencyCountry": "USA",
"sourceOfFunds": "<string>",
"taxIdentificationNumberCountry": "USA",
"taxIdentificationNumberDescription": "<string>",
"taxIdentificationNumberType": "ssn"
},
"phone": "+14155550123"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Update Customer Address, Phone, or Email
Update a customer by their ID. (This endpoint only allows updates of personal information for individual customers)
accountPurpose, countryOfBirth, nationality) on existing individual customers. Validation runs on the merged customer state — send only the fields you are adding or changing. See EEA+ residents.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Customer ID
"customer_f31121c389624d3697cbf3ea8830b7a4"
Body
The address of the customer. Required if personalInformation is provided.
Show child attributes
Show child attributes
{
"city": "Chicago",
"country": "USA",
"line1": "233 South Wacker Drive",
"line2": "Suite 4700",
"postalCode": "60606",
"state": "IL"
}
The customer metadata
Show child attributes
Show child attributes
{ "key": "value" }
Personal information including tax identification details for individual customers. When any tax identification field is provided, all tax identification fields (number, type, country) and address are required. Please refer to the Individual Verification Criteria for the full list of reference.
Show child attributes
Show child attributes
Response
- Individual
- Business
Response containing information about an individual customer.
ISO 8601 formatted customer creation timestamp
"2026-03-09T20:46:31.305Z"
Customer ID
"customer_f31121c389624d3697cbf3ea8830b7a4"
Customer Terms of Service acceptance status (incomplete | pending | approved).
incomplete, pending, approved "incomplete"
Customer type
individual "individual"
ISO 8601 formatted customer update timestamp
"2026-03-09T20:46:31.305Z"
Array of verification profiles. For individual customers, this will include kyc_profile_a. For business customers, this will include kyb_profile_a. See KYC Flow for individuals or KYB Flow for businesses. See Verification Profile for individual status definitions and criteria breakdown or Verification Profile for business status definitions and criteria breakdown.
Show child attributes
Show child attributes
[
{
"criteria": {
"complete": [
"email_address",
"phone_number",
"residential_address",
"tax_identification_number"
],
"errors": [],
"pending": [],
"required": [
"identity_document",
"liveness_report_document"
]
},
"name": "kyc_profile_a",
"status": "incomplete"
}
]
The customer's date of birth in YYYY-MM-DD format (individual customers only).
"1990-01-15"
Customer email address
"jane.smith@example.com"
Customer first name (individual customers only)
"Jane"
Customer last name (individual customers only)
"Smith"
Show child attributes
Show child attributes
Personal information for an individual customer, echoed back from the most recent submission. The tax identification number is omitted from responses for privacy.
Show child attributes
Show child attributes
Customer phone number
"+14155550123"